org.jboss.resteasy.util

## Class GetRestful

- java.lang.Object
- - org.jboss.resteasy.util.GetRestful

-     public class GetRestful
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetRestful()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Class` | `getRootResourceClass(Class clazz)` Given a class, search itself and implemented interfaces for jax-rs annotations.
    `static Class` | `getSubResourceClass(Class clazz)` Given a class, search itself and implemented interfaces for jax-rs annotations.
    `static Class<?>[]` | `getSubResourceClasses(Class<?> clazz)` Given a class, search itself and implemented interfaces for jax-rs annotations.
    `static boolean` | `isRootResource(Class clazz)`
    `static boolean` | `isSubResourceClass(Class clazz)` Given a class, search itself and implemented interfaces for jax-rs annotations.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetRestful

          public GetRestful()

  - ### Method Detail

    - #### getRootResourceClass

          public static Class getRootResourceClass(Class clazz)

      Given a class, search itself and implemented interfaces for jax-rs annotations.
      Parameters:
        `clazz` -
      Returns:
        list of class and intertfaces that have jax-rs annotations

    - #### isSubResourceClass

          public static boolean isSubResourceClass(Class clazz)

      Given a class, search itself and implemented interfaces for jax-rs annotations.
      Parameters:
        `clazz` -
      Returns:
        list of class and interfaces that have jax-rs annotations

    - #### getSubResourceClass

          public static Class getSubResourceClass(Class clazz)

      Given a class, search itself and implemented interfaces for jax-rs annotations.
      Parameters:
        `clazz` -
      Returns:
        list of class and interfaces that have jax-rs annotations

    - #### getSubResourceClasses

          public static Class<?>[] getSubResourceClasses(Class<?> clazz)

      Given a class, search itself and implemented interfaces for jax-rs annotations.
      Parameters:
        `clazz` -
      Returns:
        list of class and interfaces that have jax-rs annotations

    - #### isRootResource

          public static boolean isRootResource(Class clazz)

Copyright © 2014. All Rights Reserved.